const queryUpdater = require('../model/installerModel');
const path = require('path');
const fs = require('fs');

class InstallerController {

    /**
     * @author Daniel Souza <daniel.souza@teknisa.com>
     * @param {*} data
     * @returns obj lista de sistemas a serem instalados
     */
    async getDisponivel(data) {
        const queryResultAll = await queryUpdater.getDisponivel(data);
        const { rows } = queryResultAll;
        const services = [];
        if (rows.length === 0) {
        return false;
        }
        rows.forEach((item) => {
            services.push({
                'id': item.DIRETORIO,
                'IDUPDATERVERSAO': item.IDUPDATERVERSAO,
                'IDUPDATERSISTEMAS': item.IDUPDATERSISTEMAS,
                'DIRETORIO': item.DIRETORIO,
            });
        });
        return services;
    }

    /**
     * registra o pedido de Instalação do sistema
     * @param {*} data
     * @returns
     */
    async addInstaller(data) {
        const queryResult = await queryUpdater.addInstaller(data);
        queryResult.connection.commit();
        return queryResult;
    }

    /**
     * Atualiza o status do sistema para instalado
     * @param {*} data
     * @returns
     */
    async upInstaller(data) {
        const queryResult = await queryUpdater.upInstaller(data);
        queryResult.connection.commit();
        return queryResult;
    }
}

module.exports = new InstallerController();