const cors = require('cors');
const bodyParser = require('body-parser');
const consign = require('consign');
const path = require('path');

const setupMiddleware = (app, express) => {
  app.use(cors());
  app.use(express.json());
  app.use(express.urlencoded({ extended: false }));
  app.use(bodyParser.json({ limit: '50mb' }));

  consign({ cwd: 'app' });
  consign({ cwd: path.resolve(__dirname, '../../'), loggin: false, verbose: false })
    .then('middleware')
    .then('logs')
    .then('model')
    .then('controller')
    .then('service')
    .then('routes')
    .into(app);
}

module.exports = setupMiddleware;