const OracleService = require('../service/OracleService');

class adqArqCat52Model {
  constructor() {
    this.GET_ADQARQCAT52 = `
            SELECT
               A.DSARQCAT52, A.NMARQCAT52, C.CDLOJA, P.DSDIRSALVCAT
            FROM
               ARQCAT52 A, PARAMGERAL P, CAIXA C
            WHERE
               (A.CDFILIAL   = :P_CDFILIAL) AND
               (A.CDCAIXA    = :P_CDCAIXA ) AND
               (A.DTMOVCAT52 = TIMESTAMP :P_DATAMOVI) AND
               (A.CDFILIAL   = C.CDFILIAL ) AND
               (A.CDCAIXA    = C.CDCAIXA  )
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ADQARQCAT52, params);
    });
  }
}

module.exports = new adqArqCat52Model();
