const app = require('./app/main/config/app');
const socketService = require('./app/service/SocketService');

const http = require('http').createServer(app);
socketService.start(http);

const port = process.argv[3];

if (port) {
  process.on('warning', e => console.warn(e.stack));
  
  http.listen(port, (_) => {
    console.log(`Running on ${port}!`);
  });
} else {
  console.log(`Usage: node index.js <DB_NAME> <PORT>

  Arguments:
  DB_NAME   Database Name (or EXTERNAL for local database)
  PORT      Port to up server`);

  process.exit(1);
}
