import { ComponentRender } from '@zeedhi/common';
import { ICustomPagination, ICustomPaginationEvents } from './interfaces';

export class CustomPagination extends ComponentRender implements ICustomPagination {
    public length?: number;

    public page?: number = 1;

    public events!: ICustomPaginationEvents;

    constructor(props: ICustomPagination) {
        super(props);
        this.length = this.getInitValue('length', props.length, this.length);
        this.createAccessors();
    }

    public changePage(element: HTMLElement, page: Number) {
        this.callEvent('changePage', { page, element, component: this });
    }
}
