import Vue from 'vue';
import Router from 'vue-router';
import { components } from '@zeedhi/vuetify';

const { ZdFramePage } = components;

Vue.use(Router);

/**
 * Guard Router
 */
let isAuthenticated = false;
if (
  localStorage.getItem('CDOPERADOR') !== null
  || localStorage.getItem('IDOPERACESSO') !== null
  || localStorage.getItem('NMOPERADOR') !== null
) {
  isAuthenticated = true;
}

const router = new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'dashboard',
      component: ZdFramePage,
      props: () => ({
        path: 'dashboard',
        local: true,
      }),
    },
    {
      path: '/login',
      name: 'login',
      component: ZdFramePage,
      props: () => ({
        path: 'login',
        local: true,
      }),
    },
    {
      path: '/monitoring',
      name: 'monitoring',
      component: ZdFramePage,
      props: () => ({
        path: 'monitoring',
        local: true,
      }),
    },
    {
      path: '/:name',
      name: 'grid',
      component: ZdFramePage,
      props: (route) => ({
        path: route.params.name,
        local: true,
      }),
    },
    {
      name: 'grid',
      path: '/watch/:name',
      component: ZdFramePage,
      props: (route) => ({
        path: route.params.name,
        local: false,
      }),
    },
    {
      path: '*',
      component: ZdFramePage,
      props: {
        path: 'notfound',
        local: true,
      },
    },
  ],
});

router.beforeEach((to, from, next) => {
  if (to.name !== 'login' && isAuthenticated === false) {
    next({
      name: 'login',
      query: {
        redirect: to.path,
      },
    });
  } else if (to.name === 'login' && isAuthenticated === true) {
    let redi:any = '/watch/monitoring';
    if (to.query.redirect !== undefined) {
      redi = to.query.redirect;
    }
    next({ path: redi });
  } else {
    next();
  }
});

export default router;
